Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.artenum.jyconsole
Class PreferenceManager

    java.lang.Object
      com.artenum.jyconsole.PreferenceManager

public class PreferenceManager
extends java.lang.Object

     Project ref           : JyConsole project
     Copyright and license : See relevant sections
     Status                : under development
     Creation              : 04/03/2005
     Modification          :

     Description  : Manage the JyConsole Style

Version number | Author (name, e-mail) | Corrections/Modifications
0.1 | Sebastien Jourdain, jourdain@artenum.com | Creation

Version:
  0.1
Author:
  Sebastien Jourdain

Constructor Summary
`PreferenceManager()`

Method Summary
`void` | `addBgColorComponent(java.awt.Component c)`
`void` | `addTxtDocument(javax.swing.text.StyledDocument sdoc)`
`void` | `setBgColor(java.awt.Color c)`
`void` | `setPrompt(javax.swing.JLabel prompt)`
`void` | `setPromptTxt(java.lang.String txt)`
`void` | `setStyle(java.lang.String styleName, boolean bold, boolean italic, java.awt.Color color)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreferenceManager

    public PreferenceManager()

Method Detail

### addBgColorComponent

    public void addBgColorComponent(java.awt.Component c)

### addTxtDocument

    public void addTxtDocument(javax.swing.text.StyledDocument sdoc)

### setBgColor

    public void setBgColor(java.awt.Color c)

### setPrompt

    public void setPrompt(javax.swing.JLabel prompt)

### setPromptTxt

    public void setPromptTxt(java.lang.String txt)

### setStyle

    public void setStyle(java.lang.String styleName,
                         boolean bold,
                         boolean italic,
                         java.awt.Color color)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

     (c) Copyright: Artenum SARL, 101-103 Boulevard Mac Donald,
                    75019, Paris, France 2005.
                    http://www.artenum.com

     License:

      This program is free software; you can redistribute it
      and/or modify it under the terms of the Q Public License;
      either version 1 of the License.

      This program is distributed in the hope that it will be
      useful, but WITHOUT ANY WARRANTY; without even the implied
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
      PURPOSE. See the Q Public License for more details.

      You should have received a copy of the Q Public License
      License along with this program;
      if not, write to:
        Artenum SARL, 101-103 Boulevard Mac Donald,
        75019, PARIS, FRANCE, e-mail: contact@artenum.com